package com.yeejoin.equipmanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.equipmanage.common.entity.Scrap;
import com.yeejoin.equipmanage.common.entity.ScrapDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 *  Mapper 接口
 *
 * @author wujiang
 * @date 2020-07-07
 */
public interface ScrapMapper extends BaseMapper<Scrap> {

    String getImgById(@Param("id") Long id, @Param("type")String type);

    int getOneByQrcode(@Param("qrCode") String qrCode);

    int getCarByQrcode(@Param("qrCode") String qrCode);

    List<Map<String, Object>> geteqTypeAndAmount(@Param("id")Long id);
}
